{
  "name": "@gib/backend",
  "private": true,
  "type": "module",
  "version": "1.0.0",
  "description": "Convex Backend for Monorepo",
  "author": "Gib",
  "license": "MIT",
  "exports": {
    "./convex": "./convex/",
    "./convex/*": "./convex/*",
    "./types": "./types/index.ts"
  },
  "scripts": {
    "dev": "bun with-env convex dev",
    "dev:tunnel": "bun with-env convex dev",
    "setup": "bun with-env convex dev --until-success",
    "clean": "git clean -xdf .cache .turbo dist node_modules",
    "format": "prettier --check . --ignore-path ../../.gitignore",
    "lint": "eslint --flag unstable_native_nodejs_ts_config",
    "typecheck": "tsc --noEmit",
    "with-env": "dotenv -e ../../.env --"
  },
  "dependencies": {
    "@oslojs/crypto": "^1.0.1",
    "@react-email/components": "0.5.4",
    "@react-email/render": "^1.4.0",
    "convex": "catalog:convex",
    "react": "catalog:react19",
    "react-dom": "catalog:react19",
    "usesend-js": "^1.5.6",
    "zod": "catalog:"
  },
  "devDependencies": {
    "@gib/eslint-config": "workspace:*",
    "@gib/prettier-config": "workspace:*",
    "@gib/tsconfig": "workspace:*",
    "eslint": "catalog:",
    "prettier": "catalog:",
    "react-email": "4.2.11",
    "typescript": "catalog:"
  },
  "prettier": "@gib/prettier-config"
}
